    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.net.DatagramSocketImpl

    java.lang.Object
       |
       +----java.net.DatagramSocketImpl

public abstract class DatagramSocketImpl
extends Object
implements SocketOptions

Abstract datagram and multicast socket implementation base class.

##

fd
  The file descriptor object
localPort

##

DatagramSocketImpl()

##

bind(int, InetAddress)
  Binds a datagram socket to a local port and address.
close()
  Close the socket.
create()
  Creates a datagram socket
getFileDescriptor()
  Get the datagram socket file descriptor
getLocalPort()
  Get the local port.
getOption(int)
  Fetch the value of an option.
getTTL()
  Retrieve the TTL (time-to-live) option.
join(InetAddress)
  Join the multicast group.
leave(InetAddress)
  Leave the multicast group.
peek(InetAddress)
  Peek at the packet to see who it is from.
receive(DatagramPacket)
  Receive the datagram packet.
send(DatagramPacket)
  Sends a datagram packet.
setOption(int, Object)
  Enable/disable the option specified by optID.
setTTL(byte)
  Set the TTL (time-to-live) option.

##

localPort

     protected int localPort

fd

     protected FileDescriptor fd

  The file descriptor object

##

DatagramSocketImpl

     public DatagramSocketImpl()

##

create

     protected abstract void create() throws SocketException

  Creates a datagram socket

bind

     protected abstract void bind(int lport,
                                  InetAddress laddr) throws SocketException

  Binds a datagram socket to a local port and address.

send

     protected abstract void send(DatagramPacket p) throws IOException

  Sends a datagram packet. The packet contains the data and the destination address to send the packet to.

  Parameters:
    packet - to be sent.

peek

     protected abstract int peek(InetAddress i) throws IOException

  Peek at the packet to see who it is from.

  Parameters:
    return - the address which the packet came from.

receive

     protected abstract void receive(DatagramPacket p) throws IOException

  Receive the datagram packet.

  Parameters:
    Packet - Received.

setTTL

     protected abstract void setTTL(byte ttl) throws IOException

  Set the TTL (time-to-live) option.

  Parameters:
    TTL - to be set.

getTTL

     protected abstract byte getTTL() throws IOException

  Retrieve the TTL (time-to-live) option.

join

     protected abstract void join(InetAddress inetaddr) throws IOException

  Join the multicast group.

  Parameters:
    multicast - address to join.

leave

     protected abstract void leave(InetAddress inetaddr) throws IOException

  Leave the multicast group.

  Parameters:
    multicast - address to leave.

close

     protected abstract void close()

  Close the socket.

getLocalPort

     protected int getLocalPort()

  Get the local port.

getFileDescriptor

     protected FileDescriptor getFileDescriptor()

  Get the datagram socket file descriptor

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.